From: HUA <[email-masked]>
Date: Fri, 25 Feb 94 12:53:17 CST

Dear Friends on the net,

My sister got her GC approved under CSPA in Sept. last year and filed I-824
for her son in China in the same month. She got a notice from INS told her 
that her I-824 was approved and her case was cabled to US Consulate in 
SHANGHAI (she chose Shanghai in the form when she filed). Since then she 
got no word from the consulate. I know every one get notice from GUANGZHOU 
instead SHANGHAI. If any person out there or you know any one has the same 
situation as my sister has, please drop me a message. Thank you in advance.

HJ